GET /admin-api/addresses

Details

Steps

Step Description Expected result
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
No records found in the table
Click on the button “Add new API access” New API access Page is displayed correctly
* Fill the form with following data
* Click on “Generate client secret & Save” button
* The message “The API access and Client secret has been generated sucessfully” is displayed
* The message “Client secret: " is displayed
Return to BO > Advanced Parameters > Authorization Server and get the ID of the first row Authorization Server Page is displayed correctly.
1 record found in the table
Request with method GET the endpoint “https://[url of your shop]/admin-api/adresses” The return value is in JSON.

The return data has multiples keys : “totalItems”, “orderBy”, “sortOrder”, “limit”, “filters”,“items”

The key “items” has multiples values.

Each value has multiples keys : “addressId”, “firstname”, “lastname”, “address1”, “postcode”,“city”,“country_name”
Login in BO with default customer The dashboard page is displayed
Go to 'Customers > Addresses' page Addresses page is displayed correctly : Page title = Addresses
Reset all filters and get the number of addresses All filters are reset.
All Addresses are displayed.
Fetch the ID of the first row.
Filter each address in the list by the address ID from the jsonResponse 1 record found.

Check that the JSON Response has the same data in the BackOffice :
* id_address
* firstname
* lastname
* address1
* postcode
* city
* country_name
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
1 record found in the table
On the first row, click on the button “Three points” The dropdown is displayed
Click on the Delete Button in the dropdown A modal appeared
Click on the Confirm Button in the modal The message “Successful deletion” is displayed
No records found in the table